/* tde23d.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Local variables */
    extern int de23d_c(U_fp, int *, double *, double *, double *, double *,
                       double *, double *, int *, int *, int *, double *,
                       double *, double *, double *, double *,
                       double *, int *);
    static double hmin, hmax;
    static int ierr;
    extern int f_c();
    static double h__;
    static int m;
    static double y[4], delty[4];
    static int iu;
    static double xk, xn, yn[4], yp[32];
    static int iorder, istifj, jstart;
    static double rab[68], eps, ypm[4];

    hmin = 1e-18;
    iorder = 7;
    jstart = 0;
    iu = 3;
    eps = 1e-9;
    yn[0] = .09411764706;
    yn[1] = 0.;
    yn[2] = 0.;
    yn[3] = 4.5;
    hmax = .1;
    istifj = 0;
    m = 4;
    xn = 0.;
    xk = 18.849555921540002;
    h__ = .01;
    de23d_c((U_fp)f_c, &m, &xn, yn, &xk, &hmin, &hmax, &eps, &istifj, &iorder,
            &iu, &h__, y, ypm, delty, rab, yp, &ierr);

    printf("\n %18.9e \n", xk);
    printf("\n %18.9e %18.9e %18.9e %18.9e \n", y[0], y[1], y[2], y[3]);
    return 0;
} /* main */

int f_c(double *t, double *y, double *z__, int *m)
{
    /* Builtin functions */
    double sqrt(double);

    /* Local variables */
    static double r__, r2;

    /* Parameter adjustments */
    --z__;
    --y;

    /* Function Body */
    r2 = y[1] * y[1] + y[2] * y[2];
    r2 *= sqrt(r2);
    r__ = -(1. - *t * .002) / r2;
    z__[1] = y[3];
    z__[2] = y[4];
    z__[3] = r__ * y[1];
    z__[4] = r__ * y[2];
    return 0;
} /* f_c */
